Page MenuHomePhabricator

submit=Search in Wikibase special page urls
Closed, ResolvedPublic

Description

when I click submit on Wikibase special pages, "submit=Search" or similar becomes part of the special page url. that should be in the url.

Special:ItemByTitle?site=frwiki&page=&submit=Search

for pages that use GET method in the forms.

Event Timeline

aude created this task.Apr 14 2015, 3:55 PM
aude updated the task description. (Show Details)
aude raised the priority of this task from to Low.
aude added subscribers: Aklapper, aude.

What should the URL look like instead?

Change 235080 had a related patch set uploaded (by Ricordisamoa):
Remove "submit=Search" from Special:ItemByTitle

https://gerrit.wikimedia.org/r/235080

With this patch it will be gone

Is this the expected behavior?

Change 235080 merged by jenkins-bot:
Remove "submit=Search" from Special:ItemByTitle

https://gerrit.wikimedia.org/r/235080

Ricordisamoa set Security to None.
Ricordisamoa edited subscribers, added: Ricordisamoa; removed: gerritbot.Sep 2 2015, 10:26 PM
Jonas closed this task as Resolved.Sep 8 2015, 9:02 AM
Ricordisamoa reopened this task as Open.Sep 14 2015, 6:12 AM

Not only for Special:ItemByTitle, as per description.

Change 238093 had a related patch set uploaded (by Ricordisamoa):
Remove "submit=Search" from Special:ItemDisambiguation

https://gerrit.wikimedia.org/r/238093

Change 238093 merged by jenkins-bot:
Remove "submit=Search" from Special:ItemDisambiguation

https://gerrit.wikimedia.org/r/238093

Change 238523 had a related patch set uploaded (by Ricordisamoa):
Remove "submit=Find" from Special:EntitiesWithout*

https://gerrit.wikimedia.org/r/238523

Change 238523 merged by jenkins-bot:
Remove "submit=Find" from Special:EntitiesWithout*

https://gerrit.wikimedia.org/r/238523

Change 238776 had a related patch set uploaded (by Ricordisamoa):
Remove "submit=Go" from Special:GoToLinkedPage

https://gerrit.wikimedia.org/r/238776

Change 238776 merged by jenkins-bot:
Remove "submit=Go" from Special:GoToLinkedPage

https://gerrit.wikimedia.org/r/238776

Ricordisamoa closed this task as Resolved.Sep 23 2015, 8:37 PM

I can't find any occurrences left.